<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XCcdRequestingServiceMember StructType
 * @subpackage Structs
 */
class XCcdRequestingServiceMember extends AbstractStructBase
{
    /**
     * The trunkName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var XFkType
     */
    public $trunkName;
    /**
     * Constructor method for XCcdRequestingServiceMember
     * @uses XCcdRequestingServiceMember::setTrunkName()
     * @param XFkType $trunkName
     */
    public function __construct(XFkType $trunkName = null)
    {
        $this
            ->setTrunkName($trunkName);
    }
    /**
     * Get trunkName value
     * @return XFkType
     */
    public function getTrunkName()
    {
        return $this->trunkName;
    }
    /**
     * Set trunkName value
     * @param XFkType $trunkName
     * @return XCcdRequestingServiceMember
     */
    public function setTrunkName(XFkType $trunkName = null)
    {
        $this->trunkName = $trunkName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XCcdRequestingServiceMember
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
